@import url("../style_guideline/color_pallete.css");

:root {
    --personal_photo: url(../../media/articles_content/Adrian.png);
    --boat_photo: url(../../media/articles_content/photo_dreaming_boat.png);
    --flower_photo: url(../../media/articles_content/photo_art_flower.png);
}

.personal_photo {content: var(--personal_photo);}
.boat_photo {content: var(--boat_photo);}
.flower_photo {content: var(--flower_photo);}

.article_segment {
    width:  90%;
    margin: auto;
    text-align: left;
    padding-top: 15px;
    align-items: center;
}

.article_segment img {
    /* width: 450px;
    height: auto; */
    border-radius: 5px;
    opacity: 1;
}

.article_image_vertical {
    width: 450px;
    height: auto;
}

.article_image_horizontal {
    height: 450px;
    width: auto;
}

.article_segment h2 {
    font-size: 24px;
    font-weight: 500;
}

.article_segment p {
    font-size: 18px;
    font-weight: 500;
}

.article_foldout {
    width: 1400px;
    margin: auto;
    display: flex;
    justify-content: space-between;
    /* background-color: aqua; */
}

@media(max-width: 1200px) {
    .article_foldout {
        width: 700px;
        flex-direction: column;
        margin: 0;
        /* background-color: aqua; */
    }
}
@media(max-width: 770px) {
    .article_foldout {
        width: 350px;
    }
}

/* .article_segment .article_foldout {
} */

.article_foldout_card {
    width: 48%;
    margin-bottom: 90px;
}

.article_foldout_card img {
    float: right;
}

@media(max-width: 1200px) {
    .article_foldout_card {
        width: 100%;
    }
    .article_foldout_card img {
        float: left;
    }
}

@media(max-width: 770px) {
    .article_foldout_card img {
        display: none;
    }
}


.article_header h1 {
    font-size: 36px;
}

/* @media(max-width: 400px) {
    .article_header {
        
    }
} */

.article_header a {
    color: black;
    text-decoration: none;
    font-size: 18px;
    border: 1px solid var(--brand_color_purple);
    border-radius: 50% / 80px;
    padding-block: 5px;
    padding-inline: 10px;
    transition: 0.4s;
}

.article_header a:hover {
    background-color: var(--brand_color_green);
    border-color: var(--brand_color_green);
}

.article_header hr {
    margin-bottom: 34px;
}

.article_header ul {
    list-style-type: none;
    padding-left: 5px;
}

.article_header ul li {
    padding-block: 10px;
}

.article_metadata {
    display: flex;
    justify-content: left;
}

@media(max-width:770px) {
    .article_metadata {
        flex-direction: column;
    }
}

.article_metadata_column {
    width: 350px;
}

.article_content h1 {
    font-size: 28px;
}
